This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 810236 - Preregistered systems don't update facts when registering later with subscription-manager
Preregistered systems don't update facts when registering later with subscrip...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity medium
: rc
: 6.3
Assigned To: Devan Goodwin
Entitlement Bugs
:
Depends On:
Blocks: 738066
  Show dependency treegraph
 
Reported: 2012-04-05 08:41 EDT by Ivan Necas
Modified: 2012-06-20 09:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:08:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for candlepin (642 bytes, application/octet-stream)
2012-04-23 07:23 EDT, Petr Chalupa
no flags Details

  None (edit)
Description Ivan Necas 2012-04-05 08:41:51 EDT
How reproducible:
Always

Steps to Reproduce:
1. register a system with cli
2. use the generated uuid to register it with subscription-manager:

  subscription-manager register --consumerid UUID

3. show the facts for the system
  
Actual results:
Still the old facts there. It's updated only when you call

  subcription-manager facts --update

Expected results:
  
Facts updated right after registering with subcription-manager
Comment 1 Petr Chalupa 2012-04-23 07:23:38 EDT
Created attachment 579499 [details]
patch for candlepin
Comment 3 Devan Goodwin 2012-05-04 07:52:25 EDT
Fixed in subscription-manager.git: a717c15a7248ce180bcae2040dd1ac74617b65f9

Will be in subscription-manager-1.0.2-1
Comment 8 John Sefler 2012-05-09 19:37:33 EDT
Verifying Version...

[root@jsefler-r63-server ~]# rpm -q subscription-manager
subscription-manager-0.99.17-1.el6.x86_64
[root@jsefler-r63-workstation ~]# rpm -q subscription-manager
subscription-manager-0.99.17-1.el6.x86_64


Verification Strategy... register client1 and assert the facts returned by candlepin API for consumerid match the local system facts on client1.  Then register client2 using the same consumerid given from client1's registration and assert that the facts returned by candlepin API for the same consumerId now reflect client2's system facts.  This will prove that registration with a pre-existing consumerId will automatically update the consumer's facts.


[root@jsefler-r63-server ~]# subscription-manager register --username testuser1 --org admin
Password: 
The system has been registered with id: 70a8bff2-87cb-4a6c-b241-eb24191de42f 
[root@jsefler-r63-server ~]# subscription-manager facts --list
cpu.core(s)_per_socket: 1
cpu.cpu(s): 2
cpu.cpu_socket(s): 2
custom.fact.client1: jsefler-r63-server.usersys.redhat.com
distribution.id: Santiago
distribution.name: Red Hat Enterprise Linux Server
distribution.version: 6.2
dmi.bios.address: 0xe8000
dmi.bios.bios_revision: 1.0
dmi.bios.relase_date: 01/01/2007
dmi.bios.rom_size: 64 KB
dmi.bios.runtime_size: 96 KB
dmi.bios.vendor: QEMU
dmi.bios.version: QEMU
dmi.chassis.asset_tag: Not Specified
dmi.chassis.boot-up_state: Safe
dmi.chassis.lock: Not Present
dmi.chassis.manufacturer: Not Specified
dmi.chassis.power_supply_state: Safe
dmi.chassis.security_status: Unknown
dmi.chassis.serial_number: Not Specified
dmi.chassis.thermal_state: Safe
dmi.chassis.type: Other
dmi.chassis.version: Not Specified
dmi.memory.array_handle: 0x1000
dmi.memory.bank_locator: Not Specified
dmi.memory.data_width: 64 bit
dmi.memory.error_correction_type: Other
dmi.memory.error_information_handle: Not Provided
dmi.memory.form_factor: DIMM
dmi.memory.location: Other
dmi.memory.locator: DIMM 0
dmi.memory.maximum_capacity: 1 GB
dmi.memory.size: 1024 MB
dmi.memory.speed:   (ns)
dmi.memory.total_width: 64 bit
dmi.memory.type: RAM
dmi.memory.use: System Memory
dmi.processor.family: Other
dmi.processor.socket_designation: CPU 1
dmi.processor.status: Populated:Enabled
dmi.processor.type: Central Processor
dmi.processor.upgrade: Other
dmi.processor.version: Not Specified
dmi.processor.voltage: Unknown
dmi.system.family: Not Specified
dmi.system.manufacturer: Not Specified
dmi.system.product_name: Not Specified
dmi.system.serial_number: Not Specified
dmi.system.sku_number: Not Specified
dmi.system.status: No errors detected
dmi.system.uuid: a2e71856-6778-7975-772a-21750aa3eeb0
dmi.system.version: Not Specified
dmi.system.wake-up_type: Power Switch
lscpu.architecture: x86_64
lscpu.bogomips: 4600.03
lscpu.byte_order: Little Endian
lscpu.core(s)_per_socket: 1
lscpu.cpu(s): 2
lscpu.cpu_family: 6
lscpu.cpu_mhz: 2300.016
lscpu.cpu_op-mode(s): 32-bit, 64-bit
lscpu.cpu_socket(s): 2
lscpu.hypervisor_vendor: KVM
lscpu.l1d_cache: 64K
lscpu.l1i_cache: 64K
lscpu.l2_cache: 512K
lscpu.model: 2
lscpu.numa_node(s): 1
lscpu.numa_node0_cpu(s): 0,1
lscpu.on-line_cpu(s)_list: 0,1
lscpu.stepping: 3
lscpu.thread(s)_per_core: 1
lscpu.vendor_id: AuthenticAMD
lscpu.virtualization_type: full
memory.memtotal: 1018968
memory.swaptotal: 2064376
net.interface.eth0.ipv4_address: 10.16.120.247
net.interface.eth0.ipv4_broadcast: 10.16.120.255
net.interface.eth0.ipv4_netmask: 24
net.interface.eth0.ipv6_address.link: fe80::5054:ff:fe27:b08
net.interface.eth0.ipv6_netmask.link: 64
net.interface.eth0.mac_address: 52:54:00:27:0B:08
net.interface.lo.ipv4_address: 127.0.0.1
net.interface.lo.ipv4_broadcast: Unknown
net.interface.lo.ipv4_netmask: 8
net.interface.lo.ipv6_address.host: ::1
net.interface.lo.ipv6_netmask.host: 128
net.interface.lo.mac_address: 00:00:00:00:00:00
network.hostname: jsefler-r63-server.usersys.redhat.com
network.ipv4_address: 10.16.120.247
network.ipv6_address: ::1
system.entitlements_valid: invalid
system.name: jsefler-r63-server.usersys.redhat.com
system.uuid: 70a8bff2-87cb-4a6c-b241-eb24191de42f
uname.machine: x86_64
uname.nodename: jsefler-r63-server.usersys.redhat.com
uname.release: 2.6.32-220.4.1.el6.x86_64
uname.sysname: Linux
uname.version: #1 SMP Thu Jan 19 14:50:54 EST 2012
virt.host_type: kvm
virt.is_guest: True
virt.uuid: a2e71856-6778-7975-772a-21750aa3eeb0

[root@jsefler-r63-server ~]# curl -k -u testuser1:password https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/consumers/70a8bff2-87cb-4a6c-b241-eb24191de42f --stderr /dev/null | python -m simplejson.tool | grep facts -A 102
    "facts": {
        "cpu.core(s)_per_socket": "1", 
        "cpu.cpu(s)": "2", 
        "cpu.cpu_socket(s)": "2", 
        "custom.fact.client1": "jsefler-r63-server.usersys.redhat.com", 
        "distribution.id": "Santiago", 
        "distribution.name": "Red Hat Enterprise Linux Server", 
        "distribution.version": "6.2", 
        "dmi.bios.address": "0xe8000", 
        "dmi.bios.bios_revision": "1.0", 
        "dmi.bios.relase_date": "01/01/2007", 
        "dmi.bios.rom_size": "64 KB", 
        "dmi.bios.runtime_size": "96 KB", 
        "dmi.bios.vendor": "QEMU", 
        "dmi.bios.version": "QEMU", 
        "dmi.chassis.asset_tag": "Not Specified", 
        "dmi.chassis.boot-up_state": "Safe", 
        "dmi.chassis.lock": "Not Present", 
        "dmi.chassis.manufacturer": "Not Specified", 
        "dmi.chassis.power_supply_state": "Safe", 
        "dmi.chassis.security_status": "Unknown", 
        "dmi.chassis.serial_number": "Not Specified", 
        "dmi.chassis.thermal_state": "Safe", 
        "dmi.chassis.type": "Other", 
        "dmi.chassis.version": "Not Specified", 
        "dmi.memory.array_handle": "0x1000", 
        "dmi.memory.bank_locator": "Not Specified", 
        "dmi.memory.data_width": "64 bit", 
        "dmi.memory.error_correction_type": "Other", 
        "dmi.memory.error_information_handle": "Not Provided", 
        "dmi.memory.form_factor": "DIMM", 
        "dmi.memory.location": "Other", 
        "dmi.memory.locator": "DIMM 0", 
        "dmi.memory.maximum_capacity": "1 GB", 
        "dmi.memory.size": "1024 MB", 
        "dmi.memory.speed": "  (ns)", 
        "dmi.memory.total_width": "64 bit", 
        "dmi.memory.type": "RAM", 
        "dmi.memory.use": "System Memory", 
        "dmi.processor.family": "Other", 
        "dmi.processor.socket_designation": "CPU 1", 
        "dmi.processor.status": "Populated:Enabled", 
        "dmi.processor.type": "Central Processor", 
        "dmi.processor.upgrade": "Other", 
        "dmi.processor.version": "Not Specified", 
        "dmi.processor.voltage": " ", 
        "dmi.system.family": "Not Specified", 
        "dmi.system.manufacturer": "Not Specified", 
        "dmi.system.product_name": "Not Specified", 
        "dmi.system.serial_number": "Not Specified", 
        "dmi.system.sku_number": "Not Specified", 
        "dmi.system.status": "No errors detected", 
        "dmi.system.uuid": "a2e71856-6778-7975-772a-21750aa3eeb0", 
        "dmi.system.version": "Not Specified", 
        "dmi.system.wake-up_type": "Power Switch", 
        "lscpu.architecture": "x86_64", 
        "lscpu.bogomips": "4600.03", 
        "lscpu.byte_order": "Little Endian", 
        "lscpu.core(s)_per_socket": "1", 
        "lscpu.cpu(s)": "2", 
        "lscpu.cpu_family": "6", 
        "lscpu.cpu_mhz": "2300.016", 
        "lscpu.cpu_op-mode(s)": "32-bit, 64-bit", 
        "lscpu.cpu_socket(s)": "2", 
        "lscpu.hypervisor_vendor": "KVM", 
        "lscpu.l1d_cache": "64K", 
        "lscpu.l1i_cache": "64K", 
        "lscpu.l2_cache": "512K", 
        "lscpu.model": "2", 
        "lscpu.numa_node(s)": "1", 
        "lscpu.numa_node0_cpu(s)": "0,1", 
        "lscpu.on-line_cpu(s)_list": "0,1", 
        "lscpu.stepping": "3", 
        "lscpu.thread(s)_per_core": "1", 
        "lscpu.vendor_id": "AuthenticAMD", 
        "lscpu.virtualization_type": "full", 
        "memory.memtotal": "1018968", 
        "memory.swaptotal": "2064376", 
        "net.interface.eth0.ipv4_address": "10.16.120.247", 
        "net.interface.eth0.ipv4_broadcast": "10.16.120.255", 
        "net.interface.eth0.ipv4_netmask": "24", 
        "net.interface.eth0.ipv6_address.link": "fe80::5054:ff:fe27:b08", 
        "net.interface.eth0.ipv6_netmask.link": "64", 
        "net.interface.eth0.mac_address": "52:54:00:27:0B:08", 
        "net.interface.lo.ipv4_address": "127.0.0.1", 
        "net.interface.lo.ipv4_broadcast": "Unknown", 
        "net.interface.lo.ipv4_netmask": "8", 
        "net.interface.lo.ipv6_address.host": "::1", 
        "net.interface.lo.ipv6_netmask.host": "128", 
        "net.interface.lo.mac_address": "00:00:00:00:00:00", 
        "network.hostname": "jsefler-r63-server.usersys.redhat.com", 
        "network.ipv4_address": "10.16.120.247", 
        "network.ipv6_address": "::1", 
        "system.entitlements_valid": "invalid", 
        "uname.machine": "x86_64", 
        "uname.nodename": "jsefler-r63-server.usersys.redhat.com", 
        "uname.release": "2.6.32-220.4.1.el6.x86_64", 
        "uname.sysname": "Linux", 
        "uname.version": "#1 SMP Thu Jan 19 14:50:54 EST 2012", 
        "virt.host_type": "kvm", 
        "virt.is_guest": "true", 
        "virt.uuid": "a2e71856-6778-7975-772a-21750aa3eeb0"
    }, 
[root@jsefler-r63-server ~]# 

^^ With the exception of extended facts, system.name and system.uuid, set on the local system, the facts on the client are the same as the facts known on the candlepin consumer 70a8bff2-87cb-4a6c-b241-eb24191de42f


Now, let's register a second system using the same consumerid...

[root@jsefler-r63-workstation ~]# subscription-manager register --username testuser2 --consumerid 70a8bff2-87cb-4a6c-b241-eb24191de42f
Password: 
The system has been registered with id: 70a8bff2-87cb-4a6c-b241-eb24191de42f 
[root@jsefler-r63-workstation ~]# subscription-manager facts --list
cpu.core(s)_per_socket: 1
cpu.cpu(s): 2
cpu.cpu_socket(s): 2
custom.fact.client2: jsefler-r63-workstation.usersys.redhat.com
distribution.id: Santiago
distribution.name: Red Hat Enterprise Linux Workstation
distribution.version: 6.2
dmi.bios.address: 0xe8000
dmi.bios.bios_revision: 1.0
dmi.bios.relase_date: 01/01/2007
dmi.bios.rom_size: 64 KB
dmi.bios.runtime_size: 96 KB
dmi.bios.vendor: QEMU
dmi.bios.version: QEMU
dmi.chassis.asset_tag: Not Specified
dmi.chassis.boot-up_state: Safe
dmi.chassis.lock: Not Present
dmi.chassis.manufacturer: Not Specified
dmi.chassis.power_supply_state: Safe
dmi.chassis.security_status: Unknown
dmi.chassis.serial_number: Not Specified
dmi.chassis.thermal_state: Safe
dmi.chassis.type: Other
dmi.chassis.version: Not Specified
dmi.memory.array_handle: 0x1000
dmi.memory.bank_locator: Not Specified
dmi.memory.data_width: 64 bit
dmi.memory.error_correction_type: Other
dmi.memory.error_information_handle: Not Provided
dmi.memory.form_factor: DIMM
dmi.memory.location: Other
dmi.memory.locator: DIMM 0
dmi.memory.maximum_capacity: 1 GB
dmi.memory.size: 1024 MB
dmi.memory.speed:   (ns)
dmi.memory.total_width: 64 bit
dmi.memory.type: RAM
dmi.memory.use: System Memory
dmi.processor.family: Other
dmi.processor.socket_designation: CPU 1
dmi.processor.status: Populated:Enabled
dmi.processor.type: Central Processor
dmi.processor.upgrade: Other
dmi.processor.version: Not Specified
dmi.processor.voltage: Unknown
dmi.system.family: Not Specified
dmi.system.manufacturer: Not Specified
dmi.system.product_name: Not Specified
dmi.system.serial_number: Not Specified
dmi.system.sku_number: Not Specified
dmi.system.status: No errors detected
dmi.system.uuid: c81c1cd6-2511-b9f4-9edf-3eb05be7a697
dmi.system.version: Not Specified
dmi.system.wake-up_type: Power Switch
lscpu.architecture: x86_64
lscpu.bogomips: 4600.03
lscpu.byte_order: Little Endian
lscpu.core(s)_per_socket: 1
lscpu.cpu(s): 2
lscpu.cpu_family: 6
lscpu.cpu_mhz: 2300.016
lscpu.cpu_op-mode(s): 32-bit, 64-bit
lscpu.cpu_socket(s): 2
lscpu.hypervisor_vendor: KVM
lscpu.l1d_cache: 64K
lscpu.l1i_cache: 64K
lscpu.l2_cache: 512K
lscpu.model: 2
lscpu.numa_node(s): 1
lscpu.numa_node0_cpu(s): 0,1
lscpu.on-line_cpu(s)_list: 0,1
lscpu.stepping: 3
lscpu.thread(s)_per_core: 1
lscpu.vendor_id: AuthenticAMD
lscpu.virtualization_type: full
memory.memtotal: 1018968
memory.swaptotal: 2064376
net.interface.eth0.ipv4_address: 10.16.120.238
net.interface.eth0.ipv4_broadcast: 10.16.120.255
net.interface.eth0.ipv4_netmask: 24
net.interface.eth0.ipv6_address.link: fe80::5054:ff:fe6c:45d0
net.interface.eth0.ipv6_netmask.link: 64
net.interface.eth0.mac_address: 52:54:00:6C:45:D0
net.interface.lo.ipv4_address: 127.0.0.1
net.interface.lo.ipv4_broadcast: Unknown
net.interface.lo.ipv4_netmask: 8
net.interface.lo.ipv6_address.host: ::1
net.interface.lo.ipv6_netmask.host: 128
net.interface.lo.mac_address: 00:00:00:00:00:00
network.hostname: jsefler-r63-workstation.usersys.redhat.com
network.ipv4_address: 10.16.120.238
network.ipv6_address: ::1
system.entitlements_valid: invalid
system.name: jsefler-r63-server.usersys.redhat.com
system.uuid: 70a8bff2-87cb-4a6c-b241-eb24191de42f
uname.machine: x86_64
uname.nodename: jsefler-r63-workstation.usersys.redhat.com
uname.release: 2.6.32-220.4.1.el6.x86_64
uname.sysname: Linux
uname.version: #1 SMP Thu Jan 19 14:50:54 EST 2012
virt.host_type: kvm
virt.is_guest: True
virt.uuid: c81c1cd6-2511-b9f4-9edf-3eb05be7a697

[root@jsefler-r63-workstation ~]# curl -k -u testuser2:password https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/consumers/70a8bff2-87cb-4a6c-b241-eb24191de42f --stderr /dev/null | python -m simplejson.tool | grep facts -A 102
    "facts": {
        "cpu.core(s)_per_socket": "1", 
        "cpu.cpu(s)": "2", 
        "cpu.cpu_socket(s)": "2", 
        "custom.fact.client2": "jsefler-r63-workstation.usersys.redhat.com", 
        "distribution.id": "Santiago", 
        "distribution.name": "Red Hat Enterprise Linux Workstation", 
        "distribution.version": "6.2", 
        "dmi.bios.address": "0xe8000", 
        "dmi.bios.bios_revision": "1.0", 
        "dmi.bios.relase_date": "01/01/2007", 
        "dmi.bios.rom_size": "64 KB", 
        "dmi.bios.runtime_size": "96 KB", 
        "dmi.bios.vendor": "QEMU", 
        "dmi.bios.version": "QEMU", 
        "dmi.chassis.asset_tag": "Not Specified", 
        "dmi.chassis.boot-up_state": "Safe", 
        "dmi.chassis.lock": "Not Present", 
        "dmi.chassis.manufacturer": "Not Specified", 
        "dmi.chassis.power_supply_state": "Safe", 
        "dmi.chassis.security_status": "Unknown", 
        "dmi.chassis.serial_number": "Not Specified", 
        "dmi.chassis.thermal_state": "Safe", 
        "dmi.chassis.type": "Other", 
        "dmi.chassis.version": "Not Specified", 
        "dmi.memory.array_handle": "0x1000", 
        "dmi.memory.bank_locator": "Not Specified", 
        "dmi.memory.data_width": "64 bit", 
        "dmi.memory.error_correction_type": "Other", 
        "dmi.memory.error_information_handle": "Not Provided", 
        "dmi.memory.form_factor": "DIMM", 
        "dmi.memory.location": "Other", 
        "dmi.memory.locator": "DIMM 0", 
        "dmi.memory.maximum_capacity": "1 GB", 
        "dmi.memory.size": "1024 MB", 
        "dmi.memory.speed": "  (ns)", 
        "dmi.memory.total_width": "64 bit", 
        "dmi.memory.type": "RAM", 
        "dmi.memory.use": "System Memory", 
        "dmi.processor.family": "Other", 
        "dmi.processor.socket_designation": "CPU 1", 
        "dmi.processor.status": "Populated:Enabled", 
        "dmi.processor.type": "Central Processor", 
        "dmi.processor.upgrade": "Other", 
        "dmi.processor.version": "Not Specified", 
        "dmi.processor.voltage": " ", 
        "dmi.system.family": "Not Specified", 
        "dmi.system.manufacturer": "Not Specified", 
        "dmi.system.product_name": "Not Specified", 
        "dmi.system.serial_number": "Not Specified", 
        "dmi.system.sku_number": "Not Specified", 
        "dmi.system.status": "No errors detected", 
        "dmi.system.uuid": "c81c1cd6-2511-b9f4-9edf-3eb05be7a697", 
        "dmi.system.version": "Not Specified", 
        "dmi.system.wake-up_type": "Power Switch", 
        "lscpu.architecture": "x86_64", 
        "lscpu.bogomips": "4600.03", 
        "lscpu.byte_order": "Little Endian", 
        "lscpu.core(s)_per_socket": "1", 
        "lscpu.cpu(s)": "2", 
        "lscpu.cpu_family": "6", 
        "lscpu.cpu_mhz": "2300.016", 
        "lscpu.cpu_op-mode(s)": "32-bit, 64-bit", 
        "lscpu.cpu_socket(s)": "2", 
        "lscpu.hypervisor_vendor": "KVM", 
        "lscpu.l1d_cache": "64K", 
        "lscpu.l1i_cache": "64K", 
        "lscpu.l2_cache": "512K", 
        "lscpu.model": "2", 
        "lscpu.numa_node(s)": "1", 
        "lscpu.numa_node0_cpu(s)": "0,1", 
        "lscpu.on-line_cpu(s)_list": "0,1", 
        "lscpu.stepping": "3", 
        "lscpu.thread(s)_per_core": "1", 
        "lscpu.vendor_id": "AuthenticAMD", 
        "lscpu.virtualization_type": "full", 
        "memory.memtotal": "1018968", 
        "memory.swaptotal": "2064376", 
        "net.interface.eth0.ipv4_address": "10.16.120.238", 
        "net.interface.eth0.ipv4_broadcast": "10.16.120.255", 
        "net.interface.eth0.ipv4_netmask": "24", 
        "net.interface.eth0.ipv6_address.link": "fe80::5054:ff:fe6c:45d0", 
        "net.interface.eth0.ipv6_netmask.link": "64", 
        "net.interface.eth0.mac_address": "52:54:00:6C:45:D0", 
        "net.interface.lo.ipv4_address": "127.0.0.1", 
        "net.interface.lo.ipv4_broadcast": "Unknown", 
        "net.interface.lo.ipv4_netmask": "8", 
        "net.interface.lo.ipv6_address.host": "::1", 
        "net.interface.lo.ipv6_netmask.host": "128", 
        "net.interface.lo.mac_address": "00:00:00:00:00:00", 
        "network.hostname": "jsefler-r63-workstation.usersys.redhat.com", 
        "network.ipv4_address": "10.16.120.238", 
        "network.ipv6_address": "::1", 
        "system.entitlements_valid": "invalid", 
        "uname.machine": "x86_64", 
        "uname.nodename": "jsefler-r63-workstation.usersys.redhat.com", 
        "uname.release": "2.6.32-220.4.1.el6.x86_64", 
        "uname.sysname": "Linux", 
        "uname.version": "#1 SMP Thu Jan 19 14:50:54 EST 2012", 
        "virt.host_type": "kvm", 
        "virt.is_guest": "true", 
        "virt.uuid": "c81c1cd6-2511-b9f4-9edf-3eb05be7a697"
    }, 
[root@jsefler-r63-workstation ~]# 

^VERIFIED... With the exception of extended facts, system.name and system.uuid, the facts known to candlepin consumer 70a8bff2-87cb-4a6c-b241-eb24191de42f have been updated automatically upon client2's registration using the pre-existing consumerid 70a8bff2-87cb-4a6c-b241-eb24191de42f which was originally created by client1's registration.  Moreover, the custom fact "custom.fact.client1" was purged and the new custom fact "custom.fact.client2" was set.
Comment 10 errata-xmlrpc 2012-06-20 09:08:51 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0804.html

Note You need to log in before you can comment on or make changes to this bug.